# azure.mgmt.powerbiembedded package

## Submodules

- azure.mgmt.powerbiembedded.models module
- azure.mgmt.powerbiembedded.operations module

## Module contents

class `azure.mgmt.powerbiembedded.``PowerBIEmbeddedManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Client to manage your Power BI Embedded workspace collections and retrieve workspaces.

  Variables:

  - config (PowerBIEmbeddedManagementClientConfiguration) – Configuration for client.
  - workspace_collections (azure.mgmt.powerbiembedded.operations.WorkspaceCollectionsOperations) – WorkspaceCollections operations
  - workspaces (azure.mgmt.powerbiembedded.operations.WorkspacesOperations) – Workspaces operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Gets subscription credentials which uniquely identify a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL

  `get_available_operations`(custom_headers=None, raw=False, **operation_config)

    Indicates which operations can be performed by the Power BI Resource Provider.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | OperationList or ClientRawResponse if raw=true
    Return type: | OperationList or ClientRawResponse
    Raises: | `ErrorException`